#################################################################################
# $Id: nscp.conf,v 1.6 1998/06/03 08:14:53 leif Exp $
#
# Schema extensions at Netscape Communications Corp.
#


#################################################################################
# nscpPerson: Extra attributes for the ou=People subtree. This is an
# extension for person, inetOrgPerson etc.
#
attribute	nscpBadgeImage			bin
attribute	nscpNtUserLDAPSyncStatus	ces
attribute       nscpNtUserLogonServer           cis
attribute       nscpNtUserCreatenewaccount      cis
attribute       nscpNtUserDeleteAccount         cis
attribute       nscpNtUserDeleteDirectories     cis
attribute       nscpNtUserAccountWarningNumber  cis
attribute       nscpNtUserAccountWarningText    cis
attribute       nscpNtUserAccountChangeDate     cis
attribute       nscpNtUserActionMailto          cis
attribute       nscpNtUserCreateMacVolume       cis
attribute	nscpNetworkExpDate		cis
attribute	nscpSecuridNumber		cis
attribute	nscpSecuridExpDate		cis
attribute	nscpChallengePhrase		ces
attribute	nscpChallengeResponse		ces
attribute	nscpPersonExpDate		cis
attribute	nscpPasswdChangeDate		cis
attribute	nscpPasswdExpDate		cis
attribute	nscpLoginExpDate		cis
attribute	nscpCurContactInfo		cis
attribute	nscpBuildingNum			cis
attribute	nscpBuildingLev			cis
attribute	nscpOneButtPubUri		cis
attribute	nscpHarold			cis
attribute	nscpNFSHome			cis
attribute	nscpNotMemberOf			cis
attribute	usersmimecertificate;binary	bin

objectclass nscpPerson
	requires
		objectClass,
		uid
	allows
		nscpBadgeImage,
		nscpNtUserLDAPSyncStatus,
		nscpNtUserLogonServer,
		nscpNtUserCreatenewaccount,
		nscpNtUserDeleteAccount,
		nscpNtUserDeleteDirectories,
		nscpNtUserAccountWarningNumber,
		nscpNtUserAccountWarningText,
		nscpNtUserAccountChangeDate,
		nscpNtUserActionMailto,
		nscpNtUserCreateMacVolume,
		nscpNetworkExpDate,
		nscpSecuridNumber,
		nscpSecuridExpDate,
		nscpChallengePhrase,
		nscpChallengeResponse,
		nscpPersonExpDate,
		nscpPasswdChangeDate,
		nscpPasswdExpDate,
		nscpLoginExpDate,
		nscpCurContactInfo,
		nscpBuildingNum,
		nscpBuildingLev,
		nscpOneButtPubUri,
		nscpHarold,
		nscpNFSHome,
		nscpNotMemberOf,
		usersmimecertificate;binary


#################################################################################
# pseudoAccount: Administration users etc.
#
objectclass pseudoAccount
	requires
		objectClass,
		cn
	allows
		description,
		o,
		ou,
		seeAlso


#################################################################################
# nscpDevice: Extra attributes for the ou=Devices subtree. This is an
# extension on top of the `device' object class.
#
attribute	ipNumber		cis
attribute	macAddress		cis
attribute	deviceVendor		cis
attribute	deviceModel		cis
attribute	deviceOS		cis
attribute	deviceFunction		cis
attribute	supportISGroup		cis
attribute	vendorSupportOrg	cis
attribute	vendorSupportContract	cis
attribute	vendorSupportLevel	cis
attribute	vendorSupportExpire	cis

objectclass nscpDevice
	requires
		objectClass,
		cn
	allows
		ipNumber,
		macAddress,
		deviceVendor,
		deviceModel,
		deviceOS,
		deviceFunction,
		supportISGroup,
		vendorSupportOrg,
		vendorSupportContract,
		vendorSupportLevel,
		vendorSupportExpire


#################################################################################
# nscpConferenceRoom: A conference room.
#
attribute	nscpBuildingLev		cis
attribute	nscpBuildingNum		cis
attribute	nscalResourceCapacity	cis

objectclass nscpConferenceRoom
	requires
		objectClass,
		cn
	allows
		nscalResourceCapacity,
		nscpBuildingLev,
		nscpBuildingNum,
		postalAddress,
		postalCode,
		l,
		description,
		roomNumber,
		telephoneNumber


#################################################################################
# nscpDepartment: Departments and organizations within the company.
#
attribute	nscpDeptNumber		cis
attribute	nscpBuildingNum		cis
attribute	nscpBuildingLev		cis
attribute	nscpDeptSecPhone		tel
attribute	nscpDeptMgrPhone		tel
attribute	nscpDeptContact		dn

objectclass nscpDepartment
	requires
		objectClass,
		cn
	allows
		nscpDeptNumber,
		nscpBuildingNum,
		nscpBuildingLev,
		nscpDeptSecPhone,
		nscpDeptMgrPhone,
		nscpDeptContact,
		mail,
		secretary,
		manager,
		businessCategory,
		description,
		physicalDeliveryOfficeName,
		postalAddress,
		postalCode,
		telephoneNumber,
		facsimiletelephonenumber,
		l


#################################################################################
# nscpOffice: Corporate offices.
#
attribute	nscpCity		cis
attribute	nscpOfficeName		cis
attribute	nscpOfficeContact	dn
attribute	nscpContactPhone	tel
attribute	nscpOfficeMgrPhone	tel
attribute	nscpOfficeSecPhone	tel
attribute	nscpBuildingNum		cis
attribute	nscpBuildingLev		cis


objectclass nscpOffice
	requires
		objectClass,
		cn
	allows
		co,
		st,
		nscpCity,
		nscpOfficeName,
		nscpOfficeContact,
		nscpContactPhone,
		nscpOfficeMgrPhone,
		nscpOfficeSecPhone,
		secretary,
		manager,
		description,
		facsimileTelephoneNumber,
		l,
		physicalDeliveryOfficeName,
		postOfficeBox,
		postalAddress,
		postalCode,
		st,
		street,
		telephoneNumber,
		nscpBuildingNum,
		nscpBuildingLev


#################################################################################
# nscpVendor: Vendor contact information.
#
attribute	nscpVendorContact		cis
attribute	nscpBuildingNum		cis
attribute	nscpBuildingLev		cis
attribute	nscpNetscapeContact	dn
attribute	nscpNetscapeConPhone	tel

objectclass nscpVendor
	requires
		objectClass,
		cn
	allows
		nscpVendorContact,
		nscpBuildingNum,
		nscpBuildingLev,
		nscpNetscapeContact,
		nscpNetscapeConPhone,
		mail,
		description,
		facsimileTelephoneNumber,
		physicalDeliveryOfficeName,
		l,
		postalAddress,
		postalCode,
		telephoneNumber,
		preferredDeliveryMethod


#################################################################################
# "dummy" objectclass to indicate a hidden entry.
#
objectclass nscpHideThis
	requires
		objectClass
	allows
		cn


#################################################################################
# Pager objectclass, for all pager information.
#
attribute	nscpPagerId			cis
attribute	nscpPagerService		cis
attribute	nscpPagerMail			cis

objectclass nscpPager
	requires
		objectclass,
		pager
	allows
		nscpPagerId,
		nscpPagerService,
		nscpPagerMail
